[yum-commits] updateonboot/yum-updateonboot.init updateonboot/yum-updateonboot.sysconfig
Tim Lauridsen
timlau at osuosl.org
Thu Mar 5 13:53:50 UTC 2009
updateonboot/yum-updateonboot.init | 6 ++++--
updateonboot/yum-updateonboot.sysconfig | 5 ++++-
2 files changed, 8 insertions(+), 3 deletions(-)
New commits:
commit 314c02d6b8f37c68746dd3834193f4e688bfa57f
Author: Tim Lauridsen <tim at naboo.local>
Date: Thu Mar 5 14:50:28 2009 +0100
make yum-updateonboot more configurable (rhbz #466428)
diff --git a/updateonboot/yum-updateonboot.init b/updateonboot/yum-updateonboot.init
index 3070b99..b63d951 100755
--- a/updateonboot/yum-updateonboot.init
+++ b/updateonboot/yum-updateonboot.init
@@ -46,6 +46,8 @@ fi
. /etc/sysconfig/yum-updateonboot
+# be quiet by default
+[ -z "$OPTIONS" ] && OPTIONS="-q"
# See how we were called.
case "$1" in
@@ -57,14 +59,14 @@ case "$1" in
rpm -q $REBOOT_RPMS > $TMP1
fi
echo -n "Updating RPMS on system: "
- yum -y update &> /dev/null && success || failure
+ yum -y update $OPTIONS && success || failure
echo
OLD_IFS=$IFS
IFS=";"
for group in $GROUPLIST ; do
IFS=$OLD_IFS
echo -n $"Updating RPMS in group $group: "
- yum -y groupupdate "$group" &> /dev/null && success || failure
+ yum -y groupupdate "$group" $OPTIONS && success || failure
echo
done
IFS=$OLD_IFS
diff --git a/updateonboot/yum-updateonboot.sysconfig b/updateonboot/yum-updateonboot.sysconfig
index bbea078..7d7ac63 100644
--- a/updateonboot/yum-updateonboot.sysconfig
+++ b/updateonboot/yum-updateonboot.sysconfig
@@ -1,4 +1,3 @@
-
# IF any of these rpms are updated, the yum-updateonboot init script will
# reboot immediately after the yum update. To keep yum-updateonboot from
# rebooting the system, comment this line out.
@@ -8,3 +7,7 @@
# yum-updateonboot will call 'yum -y groupupdate' Since group names tend to
# have spaces in them, used a semi-colon to separate the group names
#GROUPLIST="My Group;MyOtherGroup;Some_Group;My Group 4"
+
+# Be quiet when updating by default
+# These options are passed to yum, default value is "-q"
+#OPTIONS="-q"
More information about the Yum-commits
mailing list